import { REPORT_QUERY, REPORT_AEADD, REPORT_DETAIL, REPORT_AL, REPORT_SUB, REPORT_TEMPLATE } from '@constants/user'
import {
  API_USER_QUERY, API_USER_AEADDREPORTS, API_USER_REPORTDETAIL,
  API_USER_AL, API_USER_SUBREPORT, API_USER_TEMPLATE
} from '@constants/api'
import { createAction } from '@utils/redux'

/**
 * 获取企业列表
 * @param {*} payload
 */
export const query = payload => createAction({
  url: API_USER_QUERY,
  method: 'GET',
  type: REPORT_QUERY,
  payload
})


/**
 * 新增企业名称
 * @param {*} payload
 */
export const company = payload => createAction({
  url: API_USER_AEADDREPORTS,
  method: 'PUT',
  type: REPORT_AEADD,
  payload
})


/**
 * 模板详情
 * @param {*} payload 
 */
export const reportDetail = payload => createAction({
  url: API_USER_REPORTDETAIL + `/${payload.id}`,
  method: 'GET',
  type: REPORT_DETAIL,
})


/**
 * Al生成
 * @param {*} payload 
 */
export const generate = payload => createAction({
  url: API_USER_AL,
  method: 'POST',
  type: REPORT_AL,
  payload
})

/**
 * 报告保存
 * @param {*} payload 
 */
export const report = payload => createAction({
  url: API_USER_SUBREPORT,
  method: 'POST',
  type: REPORT_SUB,
  payload
})


/**
 * 存为模板
 * @param {*} payload 
 */
export const onReportTemplate = payload => createAction({
  url: API_USER_TEMPLATE,
  method: 'PUT',
  type: REPORT_TEMPLATE,
  payload
})