import { LIST_TEMPLATE, LIST_DELETE, LIST_DETAIL, LIST_UPDATE } from '@constants/user'
import {
  API_USER_Template, API_USER_DELETE,
  API_USER_DETAIL, API_USER_AEADDREPORTS, API_USER_UPDATE
} from '@constants/api'
import { createAction } from '@utils/redux'

/**
 * 模板列表数据
 * @param {*} payload
 */
export const getList = payload => createAction({
  url: API_USER_Template,
  type: LIST_TEMPLATE,
  payload
})

/**
 * 模板删除
 * @param {*} payload 
 */
export const deleteTemplate = payload => createAction({
  url: API_USER_DELETE + `/${payload.id}`,
  method: 'DELETE',
  type: LIST_DELETE,
})


/**
 * 模板详情
 * @param {*} payload 
 */
export const reportTemplate = payload => createAction({
  url: API_USER_DETAIL + `/${payload.id}`,
  method: 'GET',
  type: LIST_DETAIL,
})

/**
 * 查询关联企业
 * @param {*} payload 
 */
export const selcompany = payload => createAction({
  url: API_USER_AEADDREPORTS + `/${payload.id}`,
  method: 'GET',
  type: LIST_DETAIL,
})


/**
 * 模板编辑
 * @param {*} payload
 */
export const updateTemplate = payload => createAction({
  url: API_USER_UPDATE,
  method: 'PUT',
  type: LIST_UPDATE,
  payload
})

