import Taro, { Component } from '@tarojs/taro'
import { View, Text } from '@tarojs/components'
import './itemlist.scss'

export default class ItemList extends Component {


  render() {
    const { list = [] } = this.props
    return (
      <View className='list'>
        {
          list.length == 0
            ? <View className='list__no'>暂无数据</View>
            : list.map(item =>
              <View className='list__item' key={item.id}
                onLongPress={() => {
                  console.log("久按")
                  // Taro.vibrateShort(() => {
                  //   console.log("====", item.id)
                  // })
                }}
                onClick={() => {
                  Taro.navigateTo({
                    url: "/pages/reportdetail/reportdetail?id=" + item.id
                  })
                }}
              >
                <View className='list__item__left'>
                  <View className='list__item__left-line'>企业名称：{item.companyName}</View>
                  <View className='list__item__left-line'>报告类型：{item.name}</View>
                  <View className='list__item__left-line'>项目名称：{item.reportName}</View>
                  <View className='list__item__left-line'>项目负责人：{item.supervisor}</View>
                  {
                    !!item.metadata && item.metadata.length > 0 && item.metadata.map((t, x) =>
                      <View className='list__item__left-line' key={x}>{t.name}：{t.value}</View>
                    )
                  }
                </View>
                <View className='list__item__right'
                  style={{
                    color: item.status === 0
                      ? "red" : item.status === 1
                        ? "green" : ""
                  }}
                >
                  {item.status === 0
                    ? "编写中" : item.status === 1
                      ? "已完成" : ""}
                </View>
              </View>
            )
        }
      </View>
    )
  }
}