import Taro, { Component } from '@tarojs/taro'
import { View, Text, Button } from '@tarojs/components'
import './templatelist.scss'

export default class TemplateList extends Component {

  constructor(props) {
    super(props)
    this.state = {
      visible: false,
      selected: {},
    }
  }

  toggleVisible = () => {
    this.setState({
      visible: !this.state.visible,
      selected: {}
    })
  }

  // 确认删除
  delChap = () => {
    this.props.deleteTemplate(this.state.selected)
    this.setState({
      visible: false
    })
  }

  render() {
    const { list = [] } = this.props
    return (
      <View className='list'>
        {
          list.length == 0
            ? <View className='list__no'>暂无数据</View>
            : list.map(item =>
              <View className='list__item' key={item.id}
                onClick={() => {
                  Taro.navigateTo({
                    url: "/pages/templatedetail/templatedetail?id=" + item.id
                  })
                }}
              >
                <View className='list__item-left'>
                  <View className='list__item-left-one'>{item.name}</View>
                  <View className='list__item-left-two'>创建时间：{item.createAt}</View>
                  <View className='list__item-left-two'>更新时间：{item.updateAt}</View>
                  <View className='list__item-left-bottom'>
                    <View className='list__item-left-bottom_g'
                      onClick={e => {
                        e.stopPropagation()
                        this.props.creatReports(item)
                      }}
                    >使用该模板</View>
                    <View className='list__item-left-bottom_d'
                      onClick={e => {
                        e.stopPropagation()
                        this.setState({
                          visible: true,
                          selected: item
                        })
                      }}
                    >删除</View>
                  </View>
                </View>
              </View>
            )
        }

        {/* 二级确认 */}
        {this.state.visible &&
          <View className='mask'>
            <View className='count'>
              <View className='title' style={{ margin: "60px 0" }}>确认删除吗？</View>
              <View className='count_foot'>
                <Button onClick={this.toggleVisible}>取消</Button>
                <Button style={{ marginTop: 0 }}
                  onClick={this.delChap}
                >确认</Button>
              </View>
            </View>
          </View>}
      </View>
    )
  }
}